Bug 204151 - Review Request: perl-File-NFSLock - Perl module to do NFS (or not) locking
Review Request: perl-File-NFSLock - Perl module to do NFS (or not) locking
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Weyl
Fedora Package Reviews List
:
: 1112166 (view as bug list)
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-08-25 17:25 EDT by Patrice Dumas
Modified: 2014-06-23 13:01 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-29 08:02:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Patrice Dumas 2006-08-25 17:25:53 EDT
Spec URL: http://www.environnement.ens.fr/perso/dumas/fc-srpms/perl-File-NFSLock.spec
SRPM URL: http://www.environnement.ens.fr/perso/dumas/fc-srpms/perl-File-NFSLock-1.20-1.src.rpm
Description: 

Program based of concept of hard linking of files being atomic across NFS. 
This concept was mentioned in Mail::Box::Locker (which was originally 
presented in Mail::Folder::Maildir). Some routine flow is taken from 
there -- particularly the idea of creating a random local file, hard 
linking a common file to the local file, and then checking the nlink 
status. Some ideologies were not complete (uncache mechanism, shared 
locking) and some coding was even incorrect (wrong stat index). 
File::NFSLock was written to be light, generic, and fast.
Comment 1 Chris Weyl 2006-08-28 02:02:33 EDT
I see there's an examples directory/script, but it's not included in %doc.
Let's include that, and this package is approved.


+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written and uses macros consistently.
+ dist tag is present.
+ build root is correct.
+ license field matches the actual license.
+ license is open source-compatible.  License text not included upstream.
+ source files match upstream:
68bddc5e2c32d9748ae689f398fc1147  File-NFSLock-1.20.tar.gz
68bddc5e2c32d9748ae689f398fc1147  File-NFSLock-1.20.tar.gz.srpm
+ latest version is being packaged.
+ BuildRequires are proper.
+ package builds in mock (5/x86_64)
+ rpmlint is silent.
+ final provides and requires are sane:
 ** perl-File-NFSLock-1.20-1.fc5.noarch.rpm
 == rpmlint
 == provides
 perl(File::NFSLock) = 1.20
 perl-File-NFSLock = 1.20-1.fc5
 == requires
 perl(:MODULE_COMPAT_5.8.8)
 perl(Carp)
 perl(Exporter)
 perl(strict)
 perl(vars)
+ package is not relocatable.
+ owns the directories it creates.
+ doesn't own any directories it shouldn't.
+ no duplicates in %files.
+ file permissions are appropriate.
+ %clean is present.
+ %check is present and all tests pass:
All tests successful.
Files=12, Tests=161, 42 wallclock secs ( 0.69 cusr +  0.82 csys =  1.51 CPU)
+ no scriptlets present.
+ code, not content.
+ documentation is small, so no -docs subpackage is necessary.
+ %docs are not necessary for the proper functioning of the package.
+ no headers.
+ no pkgconfig files.
+ no libtool .la droppings.
+ not a GUI app.
+ not a web app.
Comment 2 Patrice Dumas 2006-08-28 04:17:32 EDT
examples added with chmod -x:

http://www.environnement.ens.fr/perso/dumas/fc-srpms/perl-File-NFSLock-1.20-1.src.rpm
Comment 3 Patrice Dumas 2006-08-28 04:24:03 EDT
(In reply to comment #2)
> examples added with chmod -x:

Wrong url, it is

http://www.environnement.ens.fr/perso/dumas/fc-srpms/perl-File-NFSLock-1.20-2.src.rpm

Comment 4 Chris Weyl 2006-08-28 11:38:18 EDT
APPROVED
Comment 5 Patrice Dumas 2006-08-29 08:02:59 EDT
Built in devel. Thanks for the review. 
I don't plan on doing a FC5 release except if somebody
asks for it.
Comment 6 Chris Weyl 2006-08-29 10:51:35 EDT
So requested :)
Comment 7 Petr Pisar 2014-06-23 06:44:25 EDT
*** Bug 1112166 has been marked as a duplicate of this bug. ***
Comment 8 Petr Pisar 2014-06-23 06:54:26 EDT
Package Change Request
======================
Package Name: perl-File-NFSLock
New Branches: el6 epel7
Owners: xavierb
InitialCC: perl-sig

As requested in bug #1112166.
Comment 9 Kevin Fenzi 2014-06-23 13:01:37 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.